{% extends 'base.html.twig' %}

{% block body -%}
    <h1>{{ isEditing ? 'Modifica' : 'Creazione' }} Gruppo</h1>

    {{ form_start(main_form) }}
    {{ form_errors(main_form) }}

    {{ form_row(main_form.name) }}
    {{ form_row(main_form.radiusVlan) }}
    {{ form_row(main_form.sector) }}

    {{ form_widget(main_form.submit, {'attr':{'style' : 'display: none'}}) }}

    {{ form_end(main_form) }}

    <div class="row sendBtnArea">
        <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center">
            <label for="{{ main_form.submit.vars.id }}" class="btn btn-success">{{ main_form.submit.vars.label }}</label>
        </div>
        <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-center">
            <a href="{{ path('list_students_in_group', {'providerId': providerId, 'groupId': entity.id}) }}" class="btn btn-info">
                Ritorna alla lista
            </a>
        </div>
        <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-end">
            {#{{ form(delete_form) }}#}
            {% if isEditing and entity.manageManually %}
            <a href="{{ path('group_delete_form', {'groupId': entity.id, 'providerId': providerId })}}" class="btn btn-danger">
                Elimina
            </a>
            {% endif %}
        </div>
    </div>
{% endblock %}
